Billing
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
GET | |
GET | |
GET | |
GET | |
GET |
Retrieve billing usage timeseries
In beta: the organization billing API is behind the organization-billing-api feature flag and answers 403 without it, so ask support for access. Its shapes may change while it is in beta.
Required API key scopes
billing:readQuery parameters
- breakdownsstring | null
- cursorstring | null
- end_datestring | null
- intervalstring | null
- limitinteger | null
- start_datestring | null
- team_idsstring | null
- top_projectsinteger | null
- usage_typesstring | null
Response
Example request
GET /api /organizations /:organization_id /billing /usage /timeseriesExample response
Status 200
Retrieve billing project spend export
In beta: the organization billing API is behind the organization-billing-api feature flag and answers 403 without it, so ask support for access. Its shapes may change while it is in beta.
Required API key scopes
billing:readQuery parameters
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- start_datestring | null
- usage_typesstring | null
Example request
GET /api /projects /:project_id /billing /spend /exportExample response
Status 200
Retrieve billing project spend timeseries
In beta: the organization billing API is behind the organization-billing-api feature flag and answers 403 without it, so ask support for access. Its shapes may change while it is in beta.
Required API key scopes
billing:readQuery parameters
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- start_datestring | null
- usage_typesstring | null
Response
Example request
GET /api /projects /:project_id /billing /spend /timeseriesExample response
Status 200
Retrieve billing project usage
In beta: the organization billing API is behind the organization-billing-api feature flag and answers 403 without it, so ask support for access. Its shapes may change while it is in beta.
Required API key scopes
billing:readResponse
Example request
GET /api /projects /:project_id /billing /usageExample response
Status 200
Retrieve billing project usage export
In beta: the organization billing API is behind the organization-billing-api feature flag and answers 403 without it, so ask support for access. Its shapes may change while it is in beta.
Required API key scopes
billing:readQuery parameters
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- start_datestring | null
- usage_typesstring | null
Example request
GET /api /projects /:project_id /billing /usage /exportExample response
Status 200
Retrieve billing project usage timeseries
In beta: the organization billing API is behind the organization-billing-api feature flag and answers 403 without it, so ask support for access. Its shapes may change while it is in beta.
Required API key scopes
billing:readQuery parameters
- breakdownsstring | null
- end_datestring | null
- intervalstring | null
- start_datestring | null
- usage_typesstring | null
Response
Example request
GET /api /projects /:project_id /billing /usage /timeseries










